| helics 3.6.1

Public Member Functions | Protected Attributes | List of all members
helicscpp::Translator Class Reference

`#include <Translator.hpp>`

## Public Member Functions
| Translator (HelicsTranslator htrans) HELICS_NOTHROW
| Translator () HELICS_NOTHROW
| Translator (const Translator &trans)
Translator & | operator= (const Translator &translatorer)
| operator HelicsTranslator () const
HelicsTranslator | baseObject () const
bool | isValid () const
const char * | getName () const
void | set (const std::string &property, double val)
void | setString (const std::string &property, const std::string &val)
void | addDestinationEndpoint (const std::string &dest)
void | addSourceEndpoint (const std::string &source)
void | addDestinationInput (const std::string &dest)
void | addSourcePublication (const std::string &source)
void | removeTarget (const std::string &dest)
const char * | getInfo () const
void | setInfo (const std::string &info)
const char * | getTag (const std::string &tagname) const
void | setTag (const std::string &tagname, const std::string &tagvalue)
void | setOption (int32_t option, int32_t value=1)
int32_t | getOption (int32_t option)

## Protected Attributes
HelicsTranslator | translator
| the reference to the underlying HelicsTranslator object

## Detailed Description

object managing a translator in the C++98 interface

## Constructor & Destructor Documentation

## ◆ Translator() [1/3]

helicscpp::Translator::Translator | ( | HelicsTranslator | htrans | ) |
| inline explicit

construct from C level HelicsTranslator object

## ◆ Translator() [2/3]

helicscpp::Translator::Translator | ( |  | ) |
| inline

default constructor

## ◆ Translator() [3/3]

helicscpp::Translator::Translator | ( | const Translator & | trans | ) |
| inline

copy constructor

## Member Function Documentation

## ◆ addDestinationEndpoint()

void helicscpp::Translator::addDestinationEndpoint | ( | const std::string & | dest | ) |
| inline

add a destination target to a cloning translator

all messages going to a destination are copied to the delivery address(es)

References helicsTranslatorAddDestinationEndpoint(), and translator.

## ◆ addDestinationInput()

void helicscpp::Translator::addDestinationInput | ( | const std::string & | dest | ) |
| inline

add a destination target to a cloning translator

all messages going to a destination are copied to the delivery address(es)

References helicsTranslatorAddInputTarget(), and translator.

## ◆ addSourceEndpoint()

void helicscpp::Translator::addSourceEndpoint | ( | const std::string & | source | ) |
| inline

add a source target to a cloning translator

all messages coming from a source are copied to the delivery address(es)

References helicsTranslatorAddSourceEndpoint(), and translator.

## ◆ addSourcePublication()

void helicscpp::Translator::addSourcePublication | ( | const std::string & | source | ) |
| inline

add a source target to a cloning translator

all messages coming from a source are copied to the delivery address(es)

References helicsTranslatorAddPublicationTarget(), and translator.

## ◆ baseObject()

HelicsTranslator helicscpp::Translator::baseObject | ( |  | ) | const
| inline

get the underlying HelicsTranslator object

References translator.

## ◆ getInfo()

const char* helicscpp::Translator::getInfo | ( |  | ) | const
| inline

get the interface information field of the translator

References helicsTranslatorGetInfo(), and translator.

## ◆ getName()

const char* helicscpp::Translator::getName | ( |  | ) | const
| inline

get the name for the translator

References helicsTranslatorGetName(), and translator.

## ◆ getTag()

const char* helicscpp::Translator::getTag | ( | const std::string & | tagname | ) | const
| inline

get the value of a tag for the translator

References helicsTranslatorGetTag(), and translator.

## ◆ isValid()

bool helicscpp::Translator::isValid | ( |  | ) | const
| inline

check if the translator is valid

References HELICS_TRUE, helicsTranslatorIsValid(), and translator.

## ◆ operator HelicsTranslator()

helicscpp::Translator::operator HelicsTranslator | ( |  | ) | const
| inline

cast operator to get the underlying object

References translator.

## ◆ operator=()

Translator& helicscpp::Translator::operator= | ( | const Translator & | translatorer | ) |
| inline

copy assignment

References translator.

## ◆ removeTarget()

void helicscpp::Translator::removeTarget | ( | const std::string & | dest | ) |
| inline

remove a destination target from a cloning translator

References helicsTranslatorRemoveTarget(), and translator.

## ◆ set()

void helicscpp::Translator::set | ( | const std::string & | property,
|  | double | val
| ) |  |
| inline

set a property on a translator

Parameters

  property | the name of the property of the translator to change
  val | the numerical value of the property

References helicsTranslatorSet(), and translator.

## ◆ setInfo()

void helicscpp::Translator::setInfo | ( | const std::string & | info | ) |
| inline

set the interface information field of the translator

References helicsTranslatorSetInfo(), and translator.

## ◆ setString()

void helicscpp::Translator::setString | ( | const std::string & | property,
|  | const std::string & | val
| ) |  |
| inline

set a string property on a translator

Parameters

  property | the name of the property of the translator to change
  val | the numerical value of the property

References helicsTranslatorSetString(), and translator.

## ◆ setTag()

void helicscpp::Translator::setTag | ( | const std::string & | tagname,
|  | const std::string & | tagvalue
| ) |  |
| inline

set the value of a tag for the translator

References helicsTranslatorSetTag(), and translator.

The documentation for this class was generated from the following file:

- cpp98/Translator.hpp